Download it now!
Bug 130825 - local name breaks if previous sheet is deleted
Summary: local name breaks if previous sheet is deleted
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
5.2 all versions
Hardware: All All
: medium normal
Assignee: Eike Rathke
URL:
Whiteboard: target:7.0.0 target:6.4.2 target:6.3.6
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2020-02-20 22:41 UTC by Xisco Faulí
Modified: 2020-02-27 08:43 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2020-02-20 22:41:55 UTC
Found while checking bug 130370

Steps to reproduce:
1. Open https://bugs.documentfoundation.org/attachment.cgi?id=102780
2. Remove the first sheet

-> B3 becomes #NAME?

Version: 7.0.0.0.alpha0+
Build ID: bc994a4b01cf61444452bb377010c7c4cc377698
CPU threads: 4; OS: Linux 4.19; UI render: default; VCL: gtk3; 
Locale: en-US (en_US.UTF-8); UI-Language: en-US
Calc: threaded
Comment 1 Xisco Faulí 2020-02-20 22:45:50 UTC
Regression introduced by:

https://cgit.freedesktop.org/libreoffice/core/commit/?id=64e542413851236c75e25185c137d6fd6ddfe3a1

author	Eike Rathke <erack@redhat.com>	2016-03-17 23:18:06 +0100
committer	Eike Rathke <erack@redhat.com>	2016-03-18 10:37:40 +0100
commit	64e542413851236c75e25185c137d6fd6ddfe3a1 (patch)
tree	63917c801d463b4544aad77a70e688612169d136
parent	f4c59e5364e449bd8ce5420ff57331677ff859b9 (diff)
Resolves: tdf#96915 implement other-sheet-local named expressions

Bisected with: bibisect-linux-64-5.2

Adding Cc: to Eike Rathke
Comment 2 Oliver Brinzing 2020-02-21 17:52:43 UTC
reproducible with:

Version: 7.0.0.0.alpha0+ (x64)
Build ID: aa58c380894dd384f6ce1efc62b3932136f2f477
CPU threads: 4; OS: Windows 10.0 Build 18363; UI render: default; VCL: win; 
Locale: de-DE (de_DE); UI-Language: en-US
Calc: threaded
Comment 3 Commit Notification 2020-02-26 12:09:44 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/f2b18667c1a8c6a002a229d4ae09dc418dc567e1

Resolves: tdf#130825 Compare exclusive end, not inclusive end sheet number

It will be available in 7.0.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2020-02-26 12:09:52 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/57452f7944257ef6b639144ff34fb34d6583ae62

Unit test tdf#130825 insert/delete sheet moving sheet-local names

It will be available in 7.0.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Eike Rathke 2020-02-26 12:11:20 UTC
Pending review
https://gerrit.libreoffice.org/c/core/+/89522 for 6-4
https://gerrit.libreoffice.org/c/core/+/89523 for 6-3
Comment 6 Xisco Faulí 2020-02-27 08:41:10 UTC
Verified in

Version: 7.0.0.0.alpha0+
Build ID: e57f72d8fc81762860b4579df92db264e8d710ef
CPU threads: 4; OS: Linux 4.19; UI render: default; VCL: gtk3; 
Locale: en-US (en_US.UTF-8); UI-Language: en-US
Calc: threaded

@Eike, thanks for fixing this issue!
Comment 7 Commit Notification 2020-02-27 08:42:59 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "libreoffice-6-4":

https://git.libreoffice.org/core/commit/b66415692433a7a63d8cfcaf14d0714efda02105

Resolves: tdf#130825 Compare exclusive end, not inclusive end sheet number

It will be available in 6.4.2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2020-02-27 08:43:10 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "libreoffice-6-3":

https://git.libreoffice.org/core/commit/9e6fc988b6ef7420ba6cfa55aea0b48ec47462c3

Resolves: tdf#130825 Compare exclusive end, not inclusive end sheet number

It will be available in 6.3.6.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.